/// <reference types="react" />
declare const replicaSetDetailItemInjectable: import("@ogre-tools/injectable").Injectable<{
    Component: import("react").FunctionComponent<import("../../../workloads-replicasets").ReplicaSetDetailsProps>;
    enabled: import("mobx").IComputedValue<boolean>;
    orderNumber: number;
}, import("../kube-object-detail-item-injection-token").KubeObjectDetailItem, void>;
export declare const isReplicaSet: <TKubeObject extends import("@openlens/kube-object").KubeObject<import("@openlens/kube-object").KubeObjectMetadata<import("@openlens/kube-object").KubeObjectScope>, unknown, unknown>>(item: TKubeObject | undefined) => boolean;
export default replicaSetDetailItemInjectable;
